using System;
using ZooContracts.BindingModels;
using ZooContracts.SearchModel;
using ZooContracts.ViewModels;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ZooContracts.BusinessLogicsContracts
{
    public interface IRouteCostLogic
    {
        List<RouteCostViewModel>? ReadList(RouteCostSearchModel? model);
        RouteCostViewModel? ReadElement(RouteCostSearchModel model);
        bool Create(RouteCostBindingModel model);
        bool Update(RouteCostBindingModel model);
        bool Delete(RouteCostBindingModel model);
    }
}
